Skip to content
Leadtime
English
Esc
↑↓navigate↵open⌘Jpreview

Delete attendance record

Deletes an attendance record for a specific date.

What happens:

  • The attendance record for the specified date is permanently deleted
  • This action cannot be undone
  • Deleted records are marked with a deletion timestamp

Note: This endpoint is only available for employee accounts. Attendance tracking must be enabled in the workspace settings. You can only delete your own attendance records.

DELETE/attendance
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Request body
requiredapplication/json
datestringrequired

Date of the attendance record to delete in ISO 8601 format (YYYY-MM-DD). The attendance record for this date will be permanently deleted.

Responses
200

Attendance record deleted successfully

successbooleanrequired

Operation success flag

400

Validation errors

errorsobject
Show properties
datestring[]
messagestring
statusCodenumber
401

Unauthorized - Invalid or missing authentication token

403

Not an employee or attendance not enabled in workspace

messagestring
statusCodenumber
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X DELETE "https://leadtime.app/api/public/attendance" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "date": "2025-01-15"
}'
Response
{
  "success": true
}